MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023159Community[OCCT] OCCT:DRAWpublic2012-05-16 16:252013-12-19 13:59
Reportervro 
Assigned Tovro 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSMandriva 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023159: Draw commands vradiusdim and vdiameterdim on Linux don't work (crash)
DescriptionThe draw commands vradiusdim and vdiameterdim on Linux don't work. Meanwhile, they perfectly work on Windows.
Steps To Reproduce1. Create a circle: circle C 0 0 0 100
2. Create an edge: mkedge E C
3. Display a diameter or a radius dimension: vradiusdim R
4. Select the circular edge -> Crash
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023007closedszy Open CASCADE Wrong work of AIS dimension Draw commands 
child of 0022974closedaba Open CASCADE A crash on dragging a dimension for an object with a big coordinate 
child of 0024333closeddbv Open CASCADE WOK environment fix 

-  Notes
(0026481)
kgv (developer)
2013-11-06 15:46

Dear dbv,

please check current state of this issue after #0024133 integration.
(0026511)
dbv (developer)
2013-11-08 12:49

Probably the reason of crash was the wrong environment. Namely, the variables CSF_UnitsLexicon and CSF_UnitsDefinition have not been set, or they had the wrong path. WOK has been fixed to setup right path with "wenv" command in occt-wok branch CR24333. This issue can be closed after integration of 0024333
(0026544)
bugmaster (administrator)
2013-11-11 15:48

Problem is not reproduced after integration of 0024333

- Issue History
Date Modified Username Field Change
2012-05-16 16:25 vro New Issue
2012-05-16 16:25 vro Assigned To => san
2012-05-16 16:26 vro Relationship added child of 0022974
2012-10-21 11:40 abv Target Version 6.5.4 => 6.6.0
2012-10-26 19:37 san Assigned To san => aba
2012-10-26 19:37 san Status new => assigned
2013-03-01 21:42 abv Target Version 6.6.0 => 6.7.0
2013-11-06 15:45 kgv Assigned To aba => kgv
2013-11-06 15:45 kgv Assigned To kgv => dbv
2013-11-06 15:46 kgv Note Added: 0026481
2013-11-06 16:06 kgv Relationship added related to 0023007
2013-11-06 16:07 kgv Relationship added related to 0024133
2013-11-08 12:33 dbv Relationship added child of 0024333
2013-11-08 12:49 dbv Note Added: 0026511
2013-11-08 12:49 dbv Assigned To dbv => bugmaster
2013-11-08 12:49 dbv Status assigned => feedback
2013-11-11 15:47 bugmaster Status feedback => tested
2013-11-11 15:48 bugmaster Note Added: 0026544
2013-11-11 15:48 bugmaster Status tested => verified
2013-11-11 15:48 bugmaster Resolution open => fixed
2013-11-11 15:48 bugmaster Assigned To bugmaster => vro
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker